summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author G. Schoenmakers2015-11-18 17:10:01 +0100
committer Willy Sudiarto Raharjo2015-11-18 17:23:00 +0100
commitf586f18c9bc7cd2738e8ab6a9fcd6137fcd1766e (patch)
treef3f1a377dd706ff1736136a5c370e900ecc8676b /games
parente5c1a597fb7cf0bdd7a192407ab648a934849dc0 (diff)
downloadslackbuilds-f586f18c9bc7cd2738e8ab6a9fcd6137fcd1766e.tar.gz
games/ace: Added (Unix/X solitaire games).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/ace/README8
-rw-r--r--games/ace/ace.SlackBuild80
-rw-r--r--games/ace/ace.info10
-rw-r--r--games/ace/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/games/ace/README b/games/ace/README
new file mode 100644
index 0000000000..2c74643d0e
--- /dev/null
+++ b/games/ace/README
@@ -0,0 +1,8 @@
+ace - a set of Unix/X solitaire games
+
+The Ace of Penguins is a set of Unix/X solitaire games
+based on the ones available for Windows(tm)
+but with a number of enhancements.
+The latest version includes clones of freecell, golf, mastermind,
+merlin, minesweeper, pegged, solitaire, taipei (with editor)
+and thornq.
diff --git a/games/ace/ace.SlackBuild b/games/ace/ace.SlackBuild
new file mode 100644
index 0000000000..34edbe8c7b
--- /dev/null
+++ b/games/ace/ace.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for ace.
+
+# Written by G. Schoenmakers
+
+PRGNAM=ace
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/COPYING docs/intro.html docs/toolkit.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ace/ace.info b/games/ace/ace.info
new file mode 100644
index 0000000000..872341481a
--- /dev/null
+++ b/games/ace/ace.info
@@ -0,0 +1,10 @@
+PRGNAM="ace"
+VERSION="1.4"
+HOMEPAGE="http://www.delorie.com/store/ace/"
+DOWNLOAD="http://www.delorie.com/store/ace/ace-1.4.tar.gz"
+MD5SUM="b80169fa59d69758bb9686f31a84ad2b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="G. Schoenmakers"
+EMAIL="gschoen@iinet.net.au"
diff --git a/games/ace/slack-desc b/games/ace/slack-desc
new file mode 100644
index 0000000000..2a5984fc64
--- /dev/null
+++ b/games/ace/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ace: ace (Unix/X solitaire games)
+ace:
+ace: The Ace of Penguins is a set of Unix/X solitaire games
+ace: based on the ones available for Windows(tm)
+ace: but with a number of enhancements.
+ace: The latest version includes clones of freecell, golf, mastermind,
+ace: merlin, minesweeper, pegged, solitaire, taipei (with editor)
+ace: and thornq.
+ace:
+ace: Homepage: http://www.delorie.com/store/ace/
+ace: